# Class EdDSANamedCurveSpec

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSAParameterSpec
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSANamedCurveSpec

All Implemented Interfaces:
  `Serializable, AlgorithmParameterSpec`

public class EdDSANamedCurveSpec extends EdDSAParameterSpec
EdDSA Curve specification that can also be referred to by name.

Author:
  str4d
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EdDSANamedCurveSpec(String name, Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class EdDSAParameterSpec

`equals, getB, getCurve, getHashAlgorithm, getScalarOps, hashCode`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EdDSANamedCurveSpec

public EdDSANamedCurveSpec(String name, Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)

## Method Details

### getName

public String getName()